Subject: Re: bug#67569: 29.1; ruby-mode syntax highlighting breaks with variable named "index" and "/" operator

From: Dmitry Gutov <[email-masked]>
Date: Sat, 16 Dec 2023 14:17:36 +0200

This is resolved and closed, I just replied to a different subthread.

I suppose you set up some automation for pinging non-respondents? :)

On 16/12/2023 13:58, Eli Zaretskii wrote:
> Ping!
> 
>> Cc:[email-masked]
>> Date: Sat, 09 Dec 2023 10:32:22 +0200
>> From: Eli Zaretskii<[email-masked]>
>>
>>> From: Michael Hoy<[email-masked]>
>>> Date: Fri, 01 Dec 2023 09:27:47 -0500
>>>
>>> In the standard ruby-mode, a variable named "index" followed by a "/"
>>> causes the syntax highlighting to break -- it appears that after the
>>> slash everything is interpreted as part of a regular expression until
>>> another "/" appears.
>>>
>>> You can reproduce this fairly easily. using 'emacs -Q', go to the
>>> scratch buffer and clear it. Run 'M-x ruby-mode'. Enter something like
>>> the following:
>>>
>>> def foo
>>>    index = 5
>>>    x = index / 3
>>>    puts "#{x}"
>>> end
>>>
>>> Note that starting after the "/" until the end, syntax highlighting and
>>> indentation break (everything, in my color scheme, is purple). If you
>>> add a "/" for instance to the "puts" line, syntax highlighting and
>>> indentation will be restored after that.
>>>
>>> There is a report here about the bug:
>>> https://emacs.stackexchange.com/questions/23802/division-sometimes-breaks-syntax-highlighting-in-ruby-mode
>>> The author says in the comments they used "M-x report-emacs-bug", but I
>>> couldn't find it (and the comments suggest that it may not have been
>>> sent correctly). Apologies if this is already reported!
>> Dmitry, any comments?
>>
>>
>>
>>